> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contractor Payment Link

> Given the Company ID and Contractor Payment ID, Zeal returns an expirable, mobile-friendly link with the contractor payment details, including the ability to download the pay statement.

Given the Company ID and Contractor Payment ID, Zeal returns an expirable, mobile-friendly link with the contractor payment details, including the ability to download the pay statement. This link can be hosted on your custom domain in an iframe component and/or can be opened directly in a contractor's browser.

<Note>
  This link expires 24 hours after generation.
</Note>


## OpenAPI

````yaml openapi/zeal-api.json get /paymentLink
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /paymentLink:
    get:
      summary: Get Contractor Payment Link
      description: Fetches an expirable link that displays an employee paystub.
      operationId: get-paystub-link-1
      parameters:
        - name: companyID
          in: query
          description: Company ID of employer
          required: true
          schema:
            type: string
        - name: contractorPaymentID
          in: query
          description: ID of Contractor Payment
          required: true
          schema:
            type: string
        - in: query
          name: allow_retry
          schema:
            type: boolean
            default: 'false'
          description: >-
            Boolean flag to allow the worker to retry a returned transaction on
            this contractor payment
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data: >-
                      https://payroll.yourdomain.com/payment?accessToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVC...
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: string
                    example: >-
                      https://payroll.yourdomain.com/public/paystub/<accessToken>
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Employee Check with this ID does not exist
                        code: 17
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee Check with this ID does not exist
                        code:
                          type: integer
                          example: 17
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````